#global commit 446e6e382f7e79744549f72436cd5407cefac8db
#global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           dropbox-api-command
Version:        1.17
Release:        5%{?dist}
Summary:        Dropbox API wrapper command

License:        MIT
URL:            https://github.com/s-aska/%{name}
Source0:        https://github.com/s-aska/%{name}/archive/%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::Prereqs)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(strict)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
A command line tool to manage a directory synced with Dropbox.


%prep
%setup -q -n %{name}-%{version}


%build
%{__perl} Build.PL --installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0

%{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes README.md
%license LICENSE
%{_bindir}/dropbox-api
%{_bindir}/upload-to-dropbox
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Mon Mar 02 2015 Ben Boeckel <mathstuf@gmail.com> - 1.17-5
- use proper Module::Build arguments

* Fri Feb 27 2015 Ben Boeckel <mathstuf@gmail.com> - 1.17-4
- update name for extraction

* Fri Feb 27 2015 Ben Boeckel <mathstuf@gmail.com> - 1.17-3
- use the tag for the Source
- change URL to GitHub
- add BuildRequires
- address review comments

* Thu Feb 26 2015 Ben Boeckel <mathstuf@gmail.com> - 1.17-2
- drop directory ownership

* Tue Feb 24 2015 Ben Boeckel <mathstuf@gmail.com> - 1.17-1
- initial package
